﻿using System;
using System.Collections.Generic;
using System.Data.Common;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectBase.Data.BaseDAL;
using SIASUN.Autopilot.DAL.IDALSQL;
using SIASUN.Autopilot.Model;

namespace SIASUN.Autopilot.BLL
{
    public class BlLogOperationSetting : BaseBLL<MoLogOperationSetting>
    {
        private IDalLogOperationSetting dalLogOperationSetting;

        /// <summary>
        /// 构造函数
        /// </summary>   
        public BlLogOperationSetting() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalLogOperationSetting = baseDal as IDalLogOperationSetting;
        }

        /// <summary>
        /// 判断指定的表名称是否需要记录操作日志（是否在配置表里面，并是有效状态）
        /// </summary>
        /// <param name="tablename">表名称</param>
        /// <returns></returns>
        public bool IsTableNeedtoLog(string tablename, DbTransaction trans = null)
        {
            string condition = string.Format("setting_tableName = '{0}' and setting_forBid = 0 ", tablename);
            return IsExistRecord(condition, trans);
        }

        /// <summary>
        /// 根据数据库表名称获取配置信息
        /// </summary>
        /// <param name="tablename">数据库表名</param>
        /// <returns></returns>
        public MoLogOperationSetting FindByTableName(string tablename, DbTransaction trans = null)
        {
            string condition = string.Format("setting_tableName = '{0}' and setting_forBid = 0 ", tablename);
            return FindSingle(condition, trans);
        }

        /// <summary>
        /// 获取数据库的所有表名称
        /// </summary>
        /// <returns></returns>
        public List<string> GetTableNames()
        {
            return baseDal.GetTableNames();
        }
    }
}
