﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 挡位控制状态反馈
    {
        public const string OperationCode = "6ea";
        public 挡位控制状态反馈()
        {
        }

        /// <summary>
        /// 换挡完成类型
        /// </summary>
        [Data(BitStart = 0 , BitLength = 2, DataType = "binary", Description = "", Sequence = 1)]
        public string 换挡完成类型 { get; set; }

        /// <summary>
        /// 机器人控制的挡位位置						
        /// </summary>
        [Data(BitStart = 4 , BitLength = 5 ,DataType = "binary", Description = "", Sequence = 2)]
        public string 机器人控制的挡位位置 { get; set; }

        /// <summary>
        /// 实际换挡臂Y电机转速							
        /// </summary>
        [Data(BitStart = 10, BitLength =11, DataType = "binary", Description = "", Sequence = 3)]
        public string 实际换挡臂Y电机转速 { get; set; }

        /// <summary>
        /// 实际换挡臂X电机转速						
        /// </summary>
        [Data(BitStart = 22, BitLength =11, DataType = "binary", Description = "", Sequence = 4)]
        public string 实际换挡臂X电机转速 { get; set; }

        /// <summary>
        /// 计算换挡臂Y电机转矩						
        /// </summary>
        [Data(BitStart = 35, BitLength =5 , DataType = "binary", Description = "", Sequence = 5)]
        public string 计算换挡臂Y电机转矩 { get; set; } 

        /// <summary>
        /// 计算换挡臂X电机转矩						
        /// </summary>
        [Data(BitStart = 48, BitLength = 5, DataType = "binary", Description = "", Sequence = 6)]
        public string 计算换挡臂X电机转矩 { get; set; }

        /// <summary>
        /// 实际换挡臂Y电机转角						
        /// </summary>
        [Data(BitStart = 54, BitLength = 9, DataType = "binary", Description = "", Sequence = 7)]
        public string 实际换挡臂Y电机转角 { get; set; }

        /// <summary>
        /// 实际换挡臂X电机转角						
        /// </summary>
        [Data(BitStart = 55, BitLength = 9, DataType = "binary", Description = "", Sequence = 8)]
        public string 实际换挡臂X电机转角 { get; set; }
    }
}
