﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 系统学习状态反馈
    {
        public const string OperationCode = "6ee";
        public 系统学习状态反馈()
        {
        }

        /// <summary>
        /// 离合零位学习状态
        /// </summary>
        [Data(BitStart = 0 , BitLength = 2, DataType = "binary", Description = "", Sequence = 1)]
        public string 离合零位学习状态 { get; set; }

        /// <summary>
        /// 离合最大值学习状态						
        /// </summary>
        [Data(BitStart =3, BitLength = 2,DataType = "binary", Description = "", Sequence = 2)]
        public string 离合最大值学习状态 { get; set; }

        /// <summary>
        /// 转向零位学习状态							
        /// </summary>
        [Data(BitStart =  8, BitLength =2 , DataType = "binary", Description = "", Sequence = 3)]
        public string 转向零位学习状态 { get; set; }

        /// <summary>
        /// 转向左极限学习状态						
        /// </summary>
        [Data(BitStart = 10, BitLength = 2, DataType = "binary", Description = "", Sequence = 4)]
        public string 转向左极限学习状态 { get; set; }

        /// <summary>
        /// 转向右极限学习状态						
        /// </summary>
        [Data(BitStart = 12, BitLength = 2, DataType = "binary", Description = "", Sequence = 5)]
        public string 转向右极限学习状态 { get; set; }

        /// <summary>
        /// 油门零位学习状态						
        /// </summary>
        [Data(BitStart = 16, BitLength = 2, DataType = "binary", Description = "", Sequence = 6)]
        public string 油门零位学习状态 { get; set; }

        /// <summary>
        /// 油门最大值学习状态						
        /// </summary>
        [Data(BitStart = 18, BitLength = 2, DataType = "binary", Description = "", Sequence = 7)]
        public string 油门最大值学习状态 { get; set; }

        /// <summary>
        /// 制动零位学习状态						
        /// </summary>
        [Data(BitStart = 20, BitLength = 2, DataType = "binary", Description = "", Sequence = 8)]
        public string 制动零位学习状态 { get; set; }

        /// <summary>
        /// 制动最大值学习状态						
        /// </summary>
        [Data(BitStart = 22, BitLength = 2, DataType = "binary", Description = "", Sequence = 9)]
        public string 制动最大值学习状态 { get; set; }

        /// <summary>
        /// M档学习状态	
        /// </summary>
        [Data(BitStart = 24, BitLength = 2, DataType = "binary", Description = "", Sequence =10)]
        public string M档学习状态 { get; set; }

        /// <summary>
        /// 升档学习状态						
        /// </summary>
        [Data(BitStart = 26, BitLength = 2, DataType = "binary", Description = "", Sequence = 11)]
        public string 升档学习状态 { get; set; }

        /// <summary>
        /// 降档学习状态						
        /// </summary>
        [Data(BitStart = 28, BitLength = 2, DataType = "binary", Description = "", Sequence = 12)]
        public string 降档学习状态 { get; set; }

        /// <summary>
        /// P档学习状态						
        /// </summary>
        [Data(BitStart = 32, BitLength = 2, DataType = "binary", Description = "", Sequence = 13)]
        public string P档学习状态 { get; set; }

        /// <summary>
        /// N档学习状态						
        /// </summary>
        [Data(BitStart = 34, BitLength = 2, DataType = "binary", Description = "", Sequence = 14)]
        public string N档学习状态 { get; set; }

        /// <summary>
        /// R档学习状态						
        /// </summary>
        [Data(BitStart = 36, BitLength = 2, DataType = "binary", Description = "", Sequence = 15)]
        public string R档学习状态 { get; set; }

        /// <summary>
        /// D档学习状态						
        /// </summary>
        [Data(BitStart = 38, BitLength = 2, DataType = "binary", Description = "", Sequence = 16)]
        public string D档学习状态 { get; set; }

        /// <summary>
        /// 档位学习状态						
        /// </summary>
        [Data(BitStart = 40, BitLength = 2, DataType = "binary", Description = "", Sequence = 17)]
        public string 档位学习状态 { get; set; }

        /// <summary>
        /// 离合学习状态						
        /// </summary>
        [Data(BitStart = 48, BitLength = 2, DataType = "binary", Description = "", Sequence = 18)]
        public string 离合学习状态 { get; set; }

        /// <summary>
        /// 转向学习状态						
        /// </summary>
        [Data(BitStart = 52, BitLength = 2, DataType = "binary", Description = "", Sequence = 19)]
        public string 转向学习状态 { get; set; }

        /// <summary>
        /// 油门学习状态						
        /// </summary>
        [Data(BitStart = 56, BitLength = 2, DataType = "binary", Description = "", Sequence = 20)]
        public string 油门学习状态 { get; set; }

        /// <summary>
        /// 制动学习状态						 
        /// </summary>
        [Data(BitStart = 60, BitLength = 2, DataType = "binary", Description = "", Sequence = 21)]
        public string 制动学习状态 { get; set; }
    }
}
