﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 系统监控状态反馈
    {
        public const string OperationCode = "6d0";
        public 系统监控状态反馈()
        {
        }

        /// <summary>
        /// 控制器环境湿度
        /// </summary>
        [Data(BitStart = 24, BitLength = 7, DataType = "binary", Description = "", Sequence = 1)]
        public string 控制器环境湿度 { get; set; }

        /// <summary>
        /// 控制器环境温度						
        /// </summary>
        [Data(BitStart = 32, BitLength =8  ,DataType = "binary", Description = "", Sequence = 2)]
        public string 控制器环境温度 { get; set; }

        /// <summary>
        /// RCU控制软件状态							
        /// </summary>
        [Data(BitStart = 40, BitLength =2 , DataType = "binary", Description = "", Sequence = 3)]
        public string RCU控制软件状态 { get; set; }

        /// <summary>
        /// 机器人自检反馈						
        /// </summary>
        [Data(BitStart = 44, BitLength = 3, DataType = "binary", Description = "", Sequence = 4)]
        public string 机器人自检反馈 { get; set; }

        /// <summary>
        /// 离合电机异常状态						
        /// </summary>
        [Data(BitStart = 48, BitLength =1 , DataType = "binary", Description = "", Sequence = 5)]
        public string 离合电机异常状态 { get; set; }

        /// <summary>
        /// 离合控制器异常状态						
        /// </summary>
        [Data(BitStart = 49, BitLength = 1, DataType = "binary", Description = "", Sequence = 6)]
        public string 离合控制器异常状态 { get; set; }

        /// <summary>
        /// 换挡臂X电机异常状态						
        /// </summary>
        [Data(BitStart = 50, BitLength = 1, DataType = "binary", Description = "", Sequence = 7)]
        public string 换挡臂X电机异常状态 { get; set; }

        /// <summary>
        /// 换挡臂Y电机异常状态						
        /// </summary>
        [Data(BitStart = 51, BitLength = 1, DataType = "binary", Description = "", Sequence = 8)]
        public string 换挡臂Y电机异常状态 { get; set; }

        /// <summary>
        /// 换挡臂X电机控制器异常状态						
        /// </summary>
        [Data(BitStart = 52, BitLength = 1, DataType = "binary", Description = "", Sequence = 9)]
        public string 换挡臂X电机控制器异常状态 { get; set; }

        /// <summary>
        /// 换挡臂Y电机控制器异常状态						
        /// </summary>
        [Data(BitStart = 53, BitLength = 1, DataType = "binary", Description = "", Sequence =10)]
        public string 换挡臂Y电机控制器异常状态 { get; set; }

        /// <summary>
        /// RCU控制器硬件异常状态						
        /// </summary>
        [Data(BitStart = 54, BitLength = 1, DataType = "binary", Description = "", Sequence = 11)]
        public string RCU控制器硬件异常状态 { get; set; }

        /// <summary>
        /// 系统异常状态						
        /// </summary>
        [Data(BitStart = 56, BitLength = 1, DataType = "binary", Description = "", Sequence = 12)]
        public string 系统异常状态 { get; set; }

        /// <summary>
        /// 油门踏板电机异常状态						
        /// </summary>
        [Data(BitStart =57 , BitLength = 1, DataType = "binary", Description = "", Sequence = 13)]
        public string 油门踏板电机异常状态 { get; set; }

        /// <summary>
        /// 油门踏板控制器异常状						
        /// </summary>
        [Data(BitStart = 58, BitLength = 1, DataType = "binary", Description = "", Sequence = 14)]
        public string 油门踏板控制器异常状 { get; set; }

        /// <summary>
        /// 油门踏板离合器异常状态						
        /// </summary>
        [Data(BitStart = 59, BitLength = 1, DataType = "binary", Description = "", Sequence = 15)]
        public string 油门踏板离合器异常状态 { get; set; }

        /// <summary>
        /// 制动电机异常状态						
        /// </summary>
        [Data(BitStart = 60,BitLength = 1, DataType = "binary", Description = "", Sequence = 16)]
        public string 制动电机异常状态 { get; set; }

        /// <summary>
        /// 制动控制器异常状态						
        /// </summary>
        [Data(BitStart = 61,BitLength = 1, DataType = "binary", Description = "", Sequence = 17)]
        public string 制动控制器异常状态 { get; set; }

        /// <summary>
        /// 转向电机异常状态						
        /// </summary>
        [Data(BitStart = 62, BitLength = 1, DataType = "binary", Description = "", Sequence = 18)]
        public string 转向电机异常状态 { get; set; }

        /// <summary>
        /// 转向控制器异常状态						
        /// </summary>
        [Data(BitStart = 63, BitLength = 1, DataType = "binary", Description = "", Sequence = 19)]
        public string 转向控制器异常状态 { get; set; }
    }
}
