﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 动作集指令
    /// </summary>
    [Serializable]
    public class MoActionDirective : BaseEntity
    {
        public MoActionDirective()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private string m_RuleName = ""; // 路径名称 
        private long m_DirectiveId ; // 动作ID          
        private string m_DirectiveInfo = ""; // 动作指令内容        
        private int m_DirectiveResult = 2; //动作指令执行结果 0：失败，1：成功，2：未执行

        #endregion

        #region Property Members

        /// <summary>
        /// 路径名称
        /// </summary>
        public virtual string RuleName
        {
            get
            {
                return this.m_RuleName;
            }
            set
            {
                this.m_RuleName = value;
            }
        }

        /// <summary>
        /// 动作ID
        /// </summary>
        public virtual long DirectiveId
        {
            get
            {
                return this.m_DirectiveId;
            }
            set
            {
                this.m_DirectiveId = value;
            }
        }

        /// <summary>
        /// 动作指令内容
        /// </summary>
        public virtual string DirectiveInfo
        {
            get
            {
                return this.m_DirectiveInfo;
            }
            set
            {
                this.m_DirectiveInfo = value;
            }
        }

        /// <summary>
        /// 动作指令执行结果 0：失败，1：成功，2：未执行
        /// </summary>
        public virtual int DirectiveResult
        {
            get
            {
                return this.m_DirectiveResult;
            }
            set
            {
                this.m_DirectiveResult = value;
            }
        }
        #endregion
    }
}
