﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 权限管理中的用户管理
    /// </summary>
    [Serializable]
    public class MoAuthoryGroup : BaseEntity
    {
        public MoAuthoryGroup()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private string m_GroupId = ""; // 组编码
        private string m_ParentGroupId = ""; // 父组编码           
        private string m_GroupName = ""; // 组名称         
        private string m_GroupTime = ""; // 创建组时间                

        #endregion

        #region Property Members
        /// <summary>
        /// 组编码
        /// </summary> 
        public virtual string GroupId
        {
            get
            {
                return this.m_GroupId;
            }
            set
            {
                this.m_GroupId = value;
            }
        }

        /// <summary>
        /// 父组编码
        /// </summary>
        public virtual string ParentGroupId
        {
            get
            {
                return this.m_ParentGroupId;
            }
            set
            {
                this.m_ParentGroupId = value;
            }
        }

        /// <summary>
        /// 组名称
        /// </summary>
        public virtual string GroupName
        {
            get
            {
                return this.m_GroupName;
            }
            set
            {
                this.m_GroupName = value;
            }
        }
        /// <summary>
        /// 创建组时间 
        /// </summary>
        public virtual string GroupTime
        {
            get
            {
                return this.m_GroupTime;
            }
            set
            {
                this.m_GroupTime = value;
            }
        }
        #endregion
    }
}
