﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;
using System;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 权限管理中的用户管理
    /// </summary>
    [Serializable]
    public class MoAuthoryRight: BaseEntity
    {

        public MoAuthoryRight()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private string m_RightId = ""; // 权限编码
        private string m_ParentRightId = ""; // 父权限编码           
        private string m_RightName = ""; // 权限名称         
        private string m_RightDescription = ""; // 权限描述                

        #endregion

        #region Property Members
        /// <summary>
        /// 权限编码
        /// </summary> 
        public virtual string RightId
        {
            get
            {
                return this.m_RightId;
            }
            set
            {
                this.m_RightId = value;
            }
        }

        /// <summary>
        /// 父权限编码
        /// </summary>
        public virtual string ParentRightId
        {
            get
            {
                return this.m_ParentRightId;
            }
            set
            {
                this.m_ParentRightId = value;
            }
        }

        /// <summary>
        /// 权限名称
        /// </summary>
        public virtual string RightName 
        {
            get
            {
                return this.m_RightName;
            }
            set
            {
                this.m_RightName = value;
            }
        }
        /// <summary>
        /// 权限描述 
        /// </summary>
        public virtual string RightDescription 
        {
            get
            {
                return this.m_RightDescription;
            }
            set
            {
                this.m_RightDescription = value;
            }
        }
        #endregion
    }
}
