﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;
using System;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 权限管理中的用户管理
    /// </summary>
    [Serializable]
    public class MoAuthoryRole: BaseEntity
    {
        public MoAuthoryRole()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private string m_RoleId = ""; // 角色编码        
        private string m_RoleName = ""; // 角色名称          
        private DateTime m_RoleTime = DateTime.Now; // 角色创建时间  
        private string m_RoleDescription = ""; // 角色描述

        #endregion

        #region Property Members
        /// <summary>
        /// 角色编码
        /// </summary>
        public virtual string RoleId
        {
            get
            {
                return this.m_RoleId;
            }
            set
            {
                this.m_RoleId = value;
            }
        }

     

        /// <summary>
        /// 角色名称 
        /// </summary>
        public virtual string RoleName 
        {
            get
            {
                return this.m_RoleName;
            }
            set
            {
                this.m_RoleName = value;
            }
        }

        /// <summary>
        /// 角色创建时间  
        /// </summary>
        public virtual DateTime RoleTime 
        {
            get
            {
                return this.m_RoleTime;
            }
            set
            {
                this.m_RoleTime = value;
            }
        }

        /// <summary>
        /// 角色描述  
        /// </summary>
        public virtual string RoleDescription 
        {
            get
            {
                return this.m_RoleDescription;
            }
            set
            {
                this.m_RoleDescription = value;
            }
        }


        #endregion
    }
}
