﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;

namespace SIASUN.Autopilot.Model
{
    public class MoBeckhoffNode: BaseEntity
    {
        public MoBeckhoffNode()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members  

        private long m_SequenceId = 0; // Id
        private string m_Ip = ""; // ip地址           
        private int m_Port = 0; // port   
        private string m_Nodename = ""; //  节点名称
        private string m_Datatype = "";//数据类型
        private int m_Receivetype = 0;//循环读取还是订阅

        #endregion 

        #region Property Members
        /// <summary>
        /// ID
        /// </summary> 
        public virtual long SequenceId
        {
            get
            {
                return this.m_SequenceId;
            }
            set
            {
                this.m_SequenceId = value;
            }
        }

        /// <summary>
        /// ip地址  
        /// </summary>
        public virtual string IP
        {
            get
            {
                return this.m_Ip;
            }
            set
            {
                this.m_Ip = value;
            }
        }

        /// <summary>
        /// 端口
        /// </summary>
        public virtual int Port
        {
            get
            {
                return this.m_Port;
            }
            set
            {
                this.m_Port = value;
            }
        }

        /// <summary>
        /// 数据点名称
        /// </summary>
        public virtual string NodeName
        {
            get
            {
                return this.m_Nodename;
            }
            set
            {
                this.m_Nodename = value;
            }
        }

        /// <summary>
        /// 数据类型
        /// </summary>
        public virtual string DataType
        {
            get
            {
                return this.m_Datatype;
            }
            set
            {
                this.m_Datatype = value;
            }
        }

        /// <summary>
        /// 接收类型
        /// </summary>
        public virtual int ReceiveType
        {
            get
            {
                return this.m_Receivetype;
            }
            set
            {
                this.m_Receivetype = value;
            }
        }
        #endregion
    }
}
