﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 地图初始化三个点的经纬度
    /// </summary>
    [Serializable]
     public class MoLocationMap : BaseEntity
     {
        public MoLocationMap()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private string m_MapId = ""; // 地图编码
        private float m_LocationLon1 = 0; // 第一个点的经度          
        private float m_LocationLat1 = 0; // 第一个点的纬度         
        private float m_LocationLon2 = 0; // 第二个点的经度      
        private float m_LocationLat2 = 0; // 第二个点的纬度 
        private float m_LocationX1 = 0; // 第一个点的X坐标      
        private float m_LocationY1 = 0; // 第一个点的Y坐标  
        private float m_LocationX2 = 0; // 第二个点的X坐标      
        private float m_LocationY2 = 0; // 第二个点的Y坐标  

        #endregion

        #region Property Members
        /// <summary>
        /// 地图编码
        /// </summary> 
        public virtual string MapId
        {
            get
            {
                return this.m_MapId;
            }
            set
            {
                this.m_MapId = value;
            }
        }
        /// <summary>
        /// 第一个点的经度 
        /// </summary> 
        public virtual float LocationLon1
        {
            get
            {
                return this.m_LocationLon1;
            }
            set
            {
                this.m_LocationLon1 = value;
            }
        }

        /// <summary>
        /// 第一个点的纬度   
        /// </summary> 
        public virtual float LocationLat1
        {
            get
            {
                return this.m_LocationLat1;
            }
            set
            {
                this.m_LocationLat1 = value;
            }
        }
        /// <summary>
        /// 第二个点的经度 
        /// </summary> 
        public virtual float LocationLon2
        {
            get
            {
                return this.m_LocationLon2;
            }
            set
            {
                this.m_LocationLon2 = value;
            }
        }

        /// <summary>
        /// 第二个点的纬度   
        /// </summary> 
        public virtual float LocationLat2
        {
            get
            {
                return this.m_LocationLat2;
            }
            set
            {
                this.m_LocationLat2 = value;
            }
        }
        /// <summary>
        /// 第一个点的X坐标  
        /// </summary> 
        public virtual float LocationX1
        {
            get
            {
                return this.m_LocationX1;
            }
            set
            {
                this.m_LocationX1 = value;
            }
        }

        /// <summary>
        /// 第一个点的Y坐标   
        /// </summary> 
        public virtual float LocationY1
        {
            get
            {
                return this.m_LocationY1;
            }
            set
            {
                this.m_LocationY1 = value;
            }
        }

        /// <summary>
        /// 第二个点的X坐标  
        /// </summary> 
        public virtual float LocationX2
        {
            get
            {
                return this.m_LocationX2;
            }
            set
            {
                this.m_LocationX2 = value;
            }
        }

        /// <summary>
        /// 第二个点的Y坐标   
        /// </summary> 
        public virtual float LocationY2
        {
            get
            {
                return this.m_LocationY2;
            }
            set
            {
                this.m_LocationY2 = value;
            }
        }
        #endregion
    }
}
