﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 路径信息
    /// </summary>
    [Serializable]
    public class MoLocationRuleInfo : BaseEntity
    {
        public MoLocationRuleInfo()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private string m_RuleName; //路径名称          
        private long m_LocatonId; //点ID
        private double m_LocationLon; //点经度
        private double m_LocationLat;  //点纬度
        private double m_LocationHeight; //点高度          
        private float m_LocationSpeed; //点速度          

        #endregion

        #region Property Members

        /// <summary>
        /// 路径名称
        /// </summary>
        public virtual string RuleName
        {
            get
            {
                return this.m_RuleName;
            }
            set
            {
                this.m_RuleName = value;
            }
        }

        /// <summary>
        /// 点ID
        /// </summary>
        public virtual long LocatonId
        {
            get
            {
                return this.m_LocatonId;
            }
            set
            {
                this.m_LocatonId = value;
            }
        }

        /// <summary>
        /// 点经度
        /// </summary>
        public virtual double LocationLon
        {
            get
            {
                return this.m_LocationLon;
            }
            set
            {
                this.m_LocationLon = value;
            }
        }

        /// <summary>
        /// 点纬度
        /// </summary>
        public virtual double LocationLat
        {
            get
            {
                return this.m_LocationLat;
            }
            set
            {
                this.m_LocationLat = value;
            }
        }

        /// <summary>
        /// 点高度
        /// </summary>
        public virtual double LocationHeight
        {
            get
            {
                return this.m_LocationHeight;
            }
            set
            {
                this.m_LocationHeight = value;
            }
        }

        /// <summary>
        /// 点速度
        /// </summary>
        public virtual float LocationSpeed
        {
            get
            {
                return this.m_LocationSpeed;
            }
            set
            {
                this.m_LocationSpeed = value;
            }
        }
        #endregion
    }
}
