﻿using ProjectBase.Data.BaseDAL;
using System;
using System.Collections.Generic;
using System.Text;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 用户操作日志
    /// </summary> 
    [Serializable]
    public class MoLogOperation : BaseEntity
    {
        #region Field Members

        private long m_LogID = 0; // 日志ID          
        private string m_Account; //用户账号         
        private string m_Name; //用户名称          
        private string m_GroupId; //所属公司ID          
        private string m_TableName; //操作表名称
        private string m_Type; // 操作类型
        private string m_Ip; //IP地址                         
        private string m_Mac; //Mac地址         
        private DateTime m_Time = DateTime.Now; //日志更新时间         

        #endregion

        #region Property Members
        /// <summary>
        /// 日志ID
        /// </summary>
        public virtual long ID
        {
            get
            {
                return this.m_LogID;
            }
            set
            {
                this.m_LogID = value;
            }
        }

        /// <summary>
        /// 用户账号
        /// </summary>
        public virtual string Account
        {
            get
            {
                return this.m_Account;
            }
            set
            {
                this.m_Account = value;
            }
        }

        /// <summary>
        /// 用户名称
        /// </summary>
        public virtual string Name
        {
            get
            {
                return this.m_Name;
            }
            set
            {
                this.m_Name = value;
            }
        }

        /// <summary>
        /// 所属公司ID
        /// </summary>
        public virtual string GroupId
        {
            get
            {
                return this.m_GroupId;
            }
            set
            {
                this.m_GroupId = value;
            }
        }

        /// <summary>
        /// 操作表名称
        /// </summary>
        public virtual string TableName
        {
            get
            {
                return this.m_TableName;
            }
            set
            {
                this.m_TableName = value;
            }
        }

        /// <summary>
        /// 操作类型
        /// </summary>
        public virtual string Type
        {
            get
            {
                return this.m_Type;
            }
            set
            {
                this.m_Type = value;
            }
        }

        /// <summary>
        /// IP地址
        /// </summary>
        public virtual string Ip
        {
            get
            {
                return this.m_Ip;
            }
            set
            {
                this.m_Ip = value;
            }
        }

        /// <summary>
        /// Mac地址
        /// </summary>
        public virtual string Mac
        {
            get
            {
                return this.m_Mac;
            }
            set
            {
                this.m_Mac = value;
            }
        }

        /// <summary>
        /// 日志更新时间
        /// </summary>
        public virtual DateTime Time
        {
            get
            {
                return this.m_Time;
            }
            set
            {
                this.m_Time = value;
            }
        }
        #endregion
    }
}
